unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, DB, ADODB, StdCtrls, Mask, DBCtrls, ExtCtrls, Grids,
  DBGrids, Buttons, QuickRpt;

type
  TFormWRC = class(TForm)
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    ADOConnection1: TADOConnection;
    ADOQueryProj: TADOQuery;
    ADOQueryProjproj_no: TWideStringField;
    ADOQueryProjproj_name: TWideStringField;
    ADOQueryProjproj_alias: TWideStringField;
    DBGrid1: TDBGrid;
    DataSourceProj: TDataSource;
    Panel1: TPanel;
    Panel2: TPanel;
    DBNavigator1: TDBNavigator;
    Panel3: TPanel;
    Label1: TLabel;
    DBEdit1: TDBEdit;
    Label2: TLabel;
    DBEdit2: TDBEdit;
    Label3: TLabel;
    DBEdit3: TDBEdit;
    ADOConnection2: TADOConnection;
    ADOQueryproj_dataset: TADOQuery;
    ADOQueryproj_datasetproj_no: TWideStringField;
    ADOQueryproj_datasetdataset_class: TIntegerField;
    DataSourceproj_dataset: TDataSource;
    DBGrid2: TDBGrid;
    ADOQueryproj_datasetdataset_name: TWideStringField;
    Panel4: TPanel;
    Panel5: TPanel;
    DBNavigator2: TDBNavigator;
    Label4: TLabel;
    DBEdit4: TDBEdit;
    Label5: TLabel;
    DBEdit5: TDBEdit;
    ADOQueryproj_datasetdataset_sql: TMemoField;
    Label6: TLabel;
    DBMemo1: TDBMemo;
    TabSheet3: TTabSheet;
    TreeView1: TTreeView;
    Splitter1: TSplitter;
    Panel6: TPanel;
    Panel7: TPanel;
    ScrollBox1: TScrollBox;
    QuickRep1: TQuickRep;
    Panel8: TPanel;
    procedure Label3Click(Sender: TObject);
    procedure PageControl1Change(Sender: TObject);
    procedure ADOQueryproj_datasetBeforePost(DataSet: TDataSet);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormWRC: TFormWRC;
  vnull:Olevariant;

implementation

uses ADOConEd;

{$R *.dfm}


procedure TFormWRC.Label3Click(Sender: TObject);
begin
   ADOConnection2.Connected:=false;
   ADOConnection2.ConnectionString:=ADOQueryProj.fieldbyname('proj_alias').AsString;
   if EditConnectionString(ADOConnection2) then
   begin
      if not(ADOQueryProj.State in [dsedit,dsinsert]) then
         ADOQueryProj.Edit;
      ADOQueryProj.fieldbyname('proj_alias').AsString:=ADOConnection2.ConnectionString;
   end;
end;

procedure TFormWRC.PageControl1Change(Sender: TObject);
var ADOQ:TADOQuery;
    MyTreeNode1,MyTreeNode2:TTreeNode;
    i:integer;
begin
   case PageControl1.ActivePageIndex of
      0:begin
        end;
      1:begin
           ADOConnection2.Connected:=false;
           if (ADOQueryProj.State in [dsedit,dsinsert]) then
              ADOQueryProj.post;
           ADOConnection2.ConnectionString:=ADOQueryProj.fieldbyname('proj_alias').AsString;
           try
              ADOConnection2.Connected:=true;
           except
              showmessage('Ʈw|~');
              PageControl1.ActivePageIndex:=0;
           end;
        end;
      2:begin
           if (ADOQueryproj_dataset.State in [dsedit,dsinsert]) then
              ADOQueryproj_dataset.post;
           if not ADOConnection2.Connected then
           begin
              ADOConnection2.ConnectionString:=ADOQueryProj.fieldbyname('proj_alias').AsString;
              try
                 ADOConnection2.Connected:=true;
              except
                 showmessage('Ʈw|~');
                 PageControl1.ActivePageIndex:=0;
              end;
           end;
           ADOQ:=TADOQuery.Create(self);
           ADOQ.Connection:=ADOConnection2;
           while not ADOQueryproj_dataset.Eof do
           begin
              ADOQ.Active:=false;
              ADOQ.SQL.Text:=ADOQueryproj_dataset.fieldbyname('dataset_sql').AsString;
              ADOQ.Active:=True;
              MyTreeNode1 := TreeView1.Items.Add(nil,ADOQueryproj_dataset.fieldbyname('dataset_name').AsString);
              for i:=0 to ADOQ.FieldCount-1 do
              begin
                 MyTreeNode2:=TreeView1.Items.AddChild(MyTreeNode1,ADOQ.Fields[i].FieldName);
                 TreeView1.Items.AddChild(MyTreeNode2,'DisplayName:'+ADOQ.Fields[i].displayname);
                 TreeView1.Items.AddChild(MyTreeNode2,'Size:'+inttostr(ADOQ.Fields[i].Size));
              end;
              ADOQueryproj_dataset.Next;
           end;
           freeandnil(adoq);
        end;
   end;
end;

procedure TFormWRC.ADOQueryproj_datasetBeforePost(DataSet: TDataSet);
begin
   ADOQueryproj_dataset.FieldByName('proj_no').AsString:=ADOQueryProj.fieldbyname('proj_no').AsString;
end;

end.
